<?php
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier changes, it'll appear as if the options have been reset.
 * 
 */

function optionsframework_option_name() {

	// This gets the theme name from the stylesheet (lowercase and without spaces)
	$themename = get_theme_data(STYLESHEETPATH . '/style.css');
	$themename = $themename['Name'];
	$themename = preg_replace("/\W/", "", strtolower($themename) );
	
	$optionsframework_settings = get_option('optionsframework');
	$optionsframework_settings['id'] = $themename;
	update_option('optionsframework', $optionsframework_settings);
	
	// echo $themename;
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the "id" fields, make sure to use all lowercase and no spaces.
 *  
 */

function optionsframework_options() {
	
	// Test data
	$test_array = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
	
	// Multicheck Array
	$multicheck_array = array("one" => "French Toast", "two" => "Pancake", "three" => "Omelette", "four" => "Crepe", "five" => "Waffle");
	
	// Multicheck Defaults
	$multicheck_defaults = array("one" => "1","five" => "1");
	
	// Background Defaults
	
	$background_defaults = array('color' => '', 'image' => '', 'repeat' => 'repeat','position' => 'top center','attachment'=>'scroll');
	
		// If using image radio buttons, define a directory path
	$imagepath =  get_bloginfo('stylesheet_directory') . '/images/';
	$adminemail = get_bloginfo('admin_email');
	
	// Color Schemes
	$color_scheme = array(
"" => "Upload Own Background",
$imagepath."bg/1.jpg" => "Color Scheme 1",
$imagepath."bg/2.jpg" => "Color Scheme 2",
$imagepath."bg/3.jpg" => "Color Scheme 3",
$imagepath."bg/4.jpg" => "Color Scheme 4",
$imagepath."bg/5.jpg" => "Color Scheme 5",
$imagepath."bg/6.jpg" => "Color Scheme 6",
$imagepath."bg/7.jpg" => "Color Scheme 7",
$imagepath."bg/8.jpg" => "Color Scheme 8",
$imagepath."bg/9.jpg" => "Color Scheme 9",
$imagepath."bg/10.jpg" => "Color Scheme 10",
$imagepath."bg/11.jpg" => "Color Scheme 11",
$imagepath."bg/12.jpg" => "Color Scheme 12",
$imagepath."bg/13.jpg" => "Color Scheme 13",
$imagepath."bg/14.jpg" => "Color Scheme 14",
$imagepath."bg/15.jpg" => "Color Scheme 15",
$imagepath."bg/16.jpg" => "Color Scheme 16",
$imagepath."bg/17.jpg" => "Color Scheme 17",
$imagepath."bg/18.jpg" => "Color Scheme 18",
$imagepath."bg/19.jpg" => "Color Scheme 19",
$imagepath."bg/20.jpg" => "Color Scheme 20",
$imagepath."bg/21.jpg" => "Color Scheme 21",
$imagepath."bg/22.jpg" => "Color Scheme 22",
$imagepath."bg/pic1.jpg" => "Background Image 1",
$imagepath."bg/pic2.jpg" => "Background Image 2",
$imagepath."bg/pic3.jpg" => "Background Image 3",
$imagepath."bg/pic4.jpg" => "Background Image 4",
$imagepath."bg/pic5.jpg" => "Background Image 5",
$imagepath."bg/pic6.jpg" => "Background Image 6");

	$slider_ani = array(
"fade" => "Fade",
"horizontal-slide" => "Horizontal Slide",
"vertical-slide" => "Vertical Slide",
"horizontal-push" => "Horizontal Push"
);

$service_show = array(
"3" => "3",
"6" => "6");

$bgimage = array(
""			   => "No Image Pattern",
"pattern1.png" => "Pattern 1",
"pattern2.png" => "Pattern 2",
"pattern3.png" => "Pattern 3",
"pattern4.png" => "Pattern 4",
"pattern5.png" => "Pattern 5",
"pattern6.png" => "Pattern 6",
"pattern7.png" => "Pattern 7",
"pattern8.png" => "Pattern 8",
"pattern9.png" => "Pattern 9",
"pattern10.png" => "Pattern 10",
"pattern11.png" => "Pattern 11",
"pattern12.png" => "Pattern 12",
"pattern13.png" => "Pattern 13",
"pattern14.png" => "Pattern 14",
"pattern15.png" => "Pattern 15",
"pattern16.png" => "Pattern 16",
"pattern17.png" => "Pattern 17",
"pattern18.png" => "Pattern 18",
"pattern19.png" => "Pattern 19",
"pattern20.png" => "Pattern 20",
);
	
	// Pull all the categories into an array
	$options_categories = array();  
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
    	$options_categories[$category->cat_ID] = $category->cat_name;
	}
	
	// Pull all the pages into an array
	$options_pages = array();  
	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	$options_pages[''] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
    	$options_pages[$page->ID] = $page->post_title;
	}
		
	$options = array();
	
	//Start Basic Settings
		
	$options[] = array( "name" => "General Settings",
						"type" => "heading");
						
	$options[] = array( "name" => "Logo Image Upload",
						"desc" => "Upload you're own logo using this uploader, logo must be 250 width and 100 height.",
						"std" => $imagepath."logo.png",
						"id" => "logo_upload",
						"type" => "upload");
						
	$options[] = array( "name" => "Footer Settings",
						"desc" => "Customize the footer description, you can edit this portion or leave it as it is.",
						"id" => "footerinfo",
						"std" => "Copyright &copy; 2011. Ultima Powered by Wordpress.",
						"type" => "text");			
						
	//End basic Settings

	
	
	


	$options[] = array( "name" => "Homepage Settings",
						"type" => "heading");

						
	$options[] = array( "name" => "Choose Which Page to be the home page Content",
						"desc" => 'Choose which <b>"Page"</b> you want to be displayed as a Home Content, it will be displayed at the home page.',
						"id" => "homecontent",
						"std" => "0",
						"type" => "select",
						"options" => $options_pages);
					
						
	$options[] = array( "desc" => "Do you want to Enable <b>Homepage Content?</b>",
						"id"   => "enablehomecont",
						"std"  => "0",
						"type" => "checkbox");	
						
	$options[] = array( "desc" => "Do you want to Enable <b>Homepage Blog?</b>",
						"id"   => "enableblog",
						"std"  => "0",
						"type" => "checkbox");		
						

						
						
						
		
		
		
		
		
		
		
	$options[] = array( "name" => "Color Settings",
						"type" => "heading");
		
		
	$options[] = array( "name" => "Background Image Pattern",
						"desc" => 'Choose Background image pattern',
						"id" =>   "background_image",
						"std" =>  "pattern16.png",
						"type" => "select",
						"options" => $bgimage);	
						
	$options[] = array( "name" => "Background Color",
						"desc" => "Choose Background Color",
						"id"   => "background_color",
						"std"  => "#272727",
						"type" => "color");
						
						
	$options[] = array( "name" => "Base Color",
						"desc" => "Colors of the welcome message, footer, post titles etc..",
						"id"   => "base_color",
						"std"  => "#181818",
						"type" => "color");
						
	$options[] = array( "name" => "sub font Color",
						"desc" => "Colors of sub fonts on the welcome message and on the posts and on the meta data.",
						"id"   => "subfonts_color",
						"std"  => "#666666",
						"type" => "color");
						
						
						
						
						
						
		// Portfolio Settings				
	$options[] = array( "name" => "Portfolio Settings",
							"type" => "heading");
							
	$options[] = array( "name" => "Choose Which Category to be post as Portfolio",
						"desc" => 'Choose which <b>"Category"</b> you want to be displayed as a Home Portfolio.',
						"id" => "homeportfolio",
						"std" => "0",
						"type" => "select",
						"options" => $options_categories);
						
	$options[] = array( "desc" => "Do you want to Enable <b>Homepage Portfolio?</b>",
						"id"   => "enableportfolio",
						"std"  => "0",
						"type" => "checkbox");	
		// END Portfolio Settings	
						
						
	
	
	
	
	
	
	
		// Welcome Settings 
	$options[] = array( "name" => "Welcome Settings",
							"type" => "heading");	
							
	$options[] = array( "desc" => "Do you want to show <b>Welcome Message on Homepage?</b>",
						"id"   => "enablewelcome",
						"std"  => "0",
						"type" => "checkbox");
							
	$options[] = array( "name" => "Welcome Message",
						"desc" => "Enter some catchy welcome message on homepage, Optional if you want to display or not.",
						"id"   => "welcome_msg",
						"std" => "Hi I'm Crazy Joe and i make awsome Quality and Cheap Wordpress Themes.",
						"type" => "textarea"); 		
						
	$options[] = array( "name" => "Sub Message Message",
						"desc" => "Sub welcome message, this is a small text on the bottom of the main welcome message",
						"id"   => "sub_welcome_msg",
						"std" => "This welcome message can be edited using the options panel of you're wordpress theme.",
						"type" => "textarea"); 									
		// End Welcome Settings	
						
								
								
								
								
								
								
								
								
								
								
								
						
						




//Start Slider Settings						
						
	$options[] = array( "name" => "Slider Settings",
						"type" => "heading");
						
	$options[] = array( "name" => "Show Slder?",
						"desc" => "Do you want to Enable Slider on home page?",
						"id"   => "check_slider",
						"std"  => "0",
						"type" => "checkbox");
						
	$options[] = array( "name" => "Choose Which Category to be the home page's Featured Slider",
						"desc" => 'Choose which <b>"Category"</b> you want to be displayed as a featured Slider.',
						"id" => "slider",
						"std" => "1",
						"type" => "select",
						"options" => $options_categories);
						
						
	$options[] = array( "name" => "Slider Animation",
						"desc" => 'Choose a slider animation currently there are only 2 options fade and slide.',
						"id" => "slider_animation",
						"std" => "vertical-slide",
						"type" => "radio",
						"options" => $slider_ani);
				
//End Slider Settings
										
	return $options;
}